This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467528 - avc denials with ghc-6.8.3
avc denials with ghc-6.8.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-17 20:23 EDT by Michel Alexandre Salim
Modified: 2008-10-20 09:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 09:53:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2008-10-17 20:23:05 EDT
Description of problem:
GHC has been updated, and causing AVC denials. Could ghc be whitelisted with a version wildcard so that future updates (at least those in the 6.8.x series) do not cause this breakage?

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.5.12-3.fc10.noarch
ghc-6.8.3-8.fc10.x86_64

How reproducible:
Always

Steps to Reproduce:
1. ghci
2. ls --lcontext /usr/lib64/ghc-6.8.3/ghc-6.8.3
  
Actual results:
system_u:object_r:lib_t:s0

Expected results:
Context needs to be unconfined_execmem_exec_t


Additional info:
Comment 1 Daniel Walsh 2008-10-20 09:53:43 EDT
Fixed in selinux-policy-3.5.13-2.fc10.noarch

Note You need to log in before you can comment on or make changes to this bug.